Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb
Class FatalError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.jboss.soa.esb.FatalError

All Implemented Interfaces:
  java.io.Serializable

    public class FatalError

extends java.lang.Error

Thrown if the ESB enters a state from which it would be unsafe to continue to execute. If caught, the handler must be sure it can deal with any underlying cause if the ESB is not to terminate.

Since:
  Version 4.0.1
Author:
  Mark Little
See Also:
  Serialized Form

Constructor Summary
`FatalError(java.lang.String message)` Construct an exception instance.
`FatalError(java.lang.String message, java.lang.Throwable cause)` Construct an exception instance.
`FatalError(java.lang.Throwable cause)` Construct an exception instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FatalError

    public FatalError(java.lang.String message)

  Construct an exception instance.

  Parameters:
    `message` - Exception message.

### FatalError

    public FatalError(java.lang.String message,
                      java.lang.Throwable cause)

  Construct an exception instance.

  Parameters:
    `message` - Exception message.
    `cause` - Exception cause.

### FatalError

    public FatalError(java.lang.Throwable cause)

  Construct an exception instance.

  Parameters:
    `cause` - Exception cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD